/*********************************************
This program was produced by the
CodeWizardAVR V1.24.0 Standard
Automatic Program Generator
 Copyright 1998-2003 HP InfoTech s.r.l.
http://www.hpinfotech.ro
e-mail:office@hpinfotech.ro
Project : Simulation commande parabole
Version : 1
Date    : 18/11/2009
Author  : Philippe Mariano                           
Company : Lyce Pierre Emile Martin                                
Comments: TP2 Parabole sur la carte SSI
Chip type           : ATmega8535
Program type        : Application
Clock frequency     : 8,000000 MHz
Memory model        : Small
External SRAM size  : 0
Data Stack size     : 128
*********************************************/

#include <mega8535.h>

// Bibliothques non gnres par Wizard (rajoutes manuellement) 
// ----------------------------------------------------------------------------------------------------- 
#include <ssi.h>      // contient les fonctions Lire_BP, Affiche_LCD, Regdebit, Select_Seringue 
#include <delay.h>    // contient la fonction delay_ms
#include <stdio.h>    // contient la fonction sprintf

// Alphanumeric LCD Module functions
#asm
   .equ __lcd_port=0x15
#endasm
#include <lcd.h>


void main(void)
{ // dbut main
// -----------------------------------------------------------------------------------------------------
// Declare your local variables here
//-------------------------------------------------------------------------------------------------------
// type 	nom              				Description
//-------------------------------------------------------------------------------------------------------
char display_buffer_ligne0[17]; 	// tampon ligne 0 de l'afficheur
char display_buffer_ligne1[17]; 	// tampon ligne 1 de l'afficheur
unsigned char Aff=0, Aff_1=0;
unsigned char Moteur, BP;
//-------------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------------
//					Configuration des ports d'E/S
//-------------------------------------------------------------------------------------------------------
// Input/Output Ports initialization
// Port A initialization
PORTA=0x3F; 		// ne pas modifier cette valeur
DDRA=????;  				// <- COMPLETER, remplacer les ????

// Port B initialization
PORTB=0x00;             // ne pas modifier cette valeur
DDRB=????;              		// <- COMPLETER, remplacer les ????

// LCD module initialization
lcd_init(16);
//-------------------------------------------------------------------------------------------------------

// =====================================================================================================
// Programme principal
// =====================================================================================================
// 					Message d'accueil 
//-------------------------------------------------------------------------------------------------------
sprintf(display_buffer_ligne0,"**TP2 PARABOLE**");
sprintf(display_buffer_ligne1,"   SIMULATION   ");
Affiche_LCD(display_buffer_ligne0,display_buffer_ligne1);
delay_ms(3000);
//-------------------------------------------------------------------------------------------------------

while (1)
      { // Dbut xhile
//-------------------------------------------------------------------------------------------------------
// ATTENTION, sur la carte SSI l'tat logique actif des BP est 0 
// Rotation sens horaire avec le BP ECHAP
// Rotation sens anti horaire avec le BP SET  
//-------------------------------------------------------------------------------------------------------
       BP = PINA & ????; 		// Lecture du port A et masquage,  <--  COMPLETER
       if (BP==?) Moteur = ?;		 		  		// <--  COMPLETER
                 else if ((BP==2) || (BP==?)) Moteur = ?;   		// <--  COMPLETER
                 		else Moteur = ?;          		// <--  COMPLETER
       PORTB=?????;   			// Ecriture sur le port B
//-------------------------------------------------------------------------------------------------------       
// 				Gestion de l'affichage 
//-------------------------------------------------------------------------------------------------------
       if(BP==4){sprintf(display_buffer_ligne1,"Rotation = A-H  ");Aff=0;} 
       else if ((BP==2)||(BP==0)){sprintf(display_buffer_ligne1,"Rotation = H    ");Aff=1;}
       else {sprintf(display_buffer_ligne1,"Arret Moteur    ");Aff=2;}
       
       if (Aff != Aff_1) {Affiche_LCD(display_buffer_ligne0,display_buffer_ligne1);Aff_1=Aff;}
      }; // Fin xhile
} // fin main
