/*********************************************
Company : LYCEE Pierre Emile MARTIN       
Comments: Commande de la rotation de la parabole
Chip type           : AT90S8535
Clock frequency     : 4,000000 MHz
Memory model        : Small
External SRAM size  : 0
Data Stack size     : 128
*********************************************/

#include <90s8535.h>

// Declare your global variables here

void main(void)
{
// Declare your local variables here
unsigned char Moteur, BP;

// Configuration du Port A en entre
PORTA=0x00;
DDRA=0x00;

// Configuration du port C en sortie
PORTC=0x00;
DDRC=0x03;

while (1)
      {
      BP = PINA & 0x06; // Lecture du port A et masquage
      if (BP==2) Moteur = 2;
                 else if ((BP==4)||(BP==6)) Moteur = 1;
                 		else Moteur = 0;
      PORTC=Moteur;	// Ecriture sur le port C
      };
}
